package sharin.doc.builder.xhtml1;

public class FrameElem extends GenericCoreElem<FrameElem> {

    public FrameElem(Object... nodes) {
        super("frame", nodes);
    }

    public FrameElem frameborder(Object value) {
        return attr("frameborder", value);
    }

    public FrameElem frameborder0() {
        return frameborder("0");
    }

    public FrameElem frameborder1() {
        return frameborder("1");
    }

    public FrameElem longdesc(Object value) {
        return attr("longdesc", value);
    }

    public FrameElem marginheight(Object value) {
        return attr("marginheight", value);
    }

    public FrameElem marginwidth(Object value) {
        return attr("marginwidth", value);
    }

    public FrameElem name(Object value) {
        return attr("name", value);
    }

    public FrameElem noresize(boolean noresize) {
        return noresize ? noresize("noresize") : this;
    }

    public FrameElem noresize(Object value) {
        return attr("noresize", value);
    }

    public FrameElem scrolling(Object value) {
        return attr("scrolling", value);
    }

    public FrameElem scrollingAuto() {
        return scrolling("auto");
    }

    public FrameElem scrollingNo() {
        return scrolling("no");
    }

    public FrameElem scrollingYes() {
        return scrolling("yes");
    }

    public FrameElem src(Object value) {
        return attr("src", value);
    }
}
